
Redmine - Defect #20779

git exited with non-zero status: 128

2015-09-18 21:42 - [ Desperados ]

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.6

Description

I noticed this error in yesterday, but I don't know since I have it

however, the problem is that some repositories are not updated, others are ok

I tried to update from 2.6.5 to 2.6.6 but nothing changes

my about:

Environment:

  Redmine version                2.6.6.stable

  Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

  Rails version                  3.2.22

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem

Redmine plugins:

  redmine_charts2                0.2.1

  redmine_code_review            0.6.3

  redmine_contacts               3.4.4

  redmine_custom_css             0.1.4

  redmine_jstoolbar_ext          0.2.0

  redmine_jstoolbar_ext_coderay  0.1.0

  redmine_jstoolbar_ext_images   0.1.0

  redmine_lightbox2              0.1.3

  redmine_people                 0.1.8

  redmine_release_notes          1.3.1

  redmine_wiki_extensions        0.6.5

 and some parts of production.log:

Started GET "/projects/bbox/repository" for 192.168.10.196 at 2015-09-18 21:40:59 +0200

Processing by RepositoriesController#show as HTML

  Parameters: {"id"=>"bbox"}

  Setting Load (0.2ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'session_lif

etime' LIMIT 1

  Setting Load (0.2ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'session_tim

eout' LIMIT 1

   (0.2ms)  SELECT MAX(`settings`.`updated_on`) AS max_id FROM `settings`

  User Load (0.3ms)  SELECT `users`.* FROM `users` WHERE `users`.`type` IN ('User', 'AnonymousUser

') AND `users`.`status` = 1 AND `users`.`id` = 19 LIMIT 1

  Current user: mauro (id=19)

   (0.1ms)  SELECT MAX(`contacts_settings`.`updated_on`) AS max_id FROM `contacts_settings`

  Setting Load (0.1ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'force_defau

lt_language_for_loggedin' LIMIT 1

  Project Load (0.1ms)  SELECT `projects`.* FROM `projects` WHERE `projects`.`identifier` = 'bbox'

 LIMIT 1

  Repository Load (0.1ms)  SELECT `repositories`.* FROM `repositories` WHERE `repositories`.`proje

ct_id` = 1 AND (is_default = 1) LIMIT 1

Shelling out: 'git' --version --no-color

Shelling out: 'git' '--git-dir' '/srv/git/bbox.git' '-c' 'core.quotepath=false' '-c' 'log.decorate
=no' 'branch' '--no-color' '--verbose' '--no-abbrev'

  SQL (0.1ms)  SELECT `enabled_modules`.`name` FROM `enabled_modules` WHERE `enabled_modules`.`pro

ject_id` = 1

  Setting Load (0.1ms)  SELECT `settings`.* FROM `settings` WHERE `settings`.`name` = 'autofetch_c

hangesets' LIMIT 1

   (0.1ms)  SELECT COUNT(*) FROM `changesets` WHERE `changesets`.`repository_id` = 32

Shelling out: 'git' '--git-dir' '/srv/git/bbox.git' '-c' 'core.quotepath=false' '-c' 'log.decorate

=no' 'log' '--no-color' '--encoding=UTF-8' '--raw' '--date=iso' '--pretty=fuller' '--parents' '--s

tdin' '--reverse'

git log error: git exited with non-zero status: 128

History

#1 - 2015-10-16 06:02 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from High to Normal

What output in console?

'git' '--git-dir' '/srv/git/bbox.git' '-c' 'core.quotepath=false' '-c' 'log.decorate=no' 'log' '--no-color' '-

-encoding=UTF-8' '--raw' '--date=iso' '--pretty=fuller' '--parents' '--stdin' '--reverse'

#2 - 2015-10-17 09:47 - [ Desperados ]

I deleted git repository and recreate it, and now it works

#3 - 2015-10-17 09:57 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for your feedback.
